#!/bin/sh
# Enable shadowing for all files/symlinks in
#  /alt

ALTSHADOW=/usr/local/sbin/altshadow

case "$1" in

start)
	echo 'Shadowing all files from /alt...'
	ROOTDEV=$(cat /proc/cmdline | sed -e 's/.*root=//' -e 's/[ ,].*//' )
	ALTDEV=$(( ${ROOTDEV#${ROOTDEV%?}} + 1 ))
	if ! mount -t jffs2 /dev/mtdblock${ALTDEV} /alt ; then 
		echo "Shadowing failed! Cannot find jffs2 at /dev/mtdblock${ALTDEV}"
		exit 1
	fi
	if grep -q '/alt' /proc/mounts; then
	  find /alt -type f | sed -e 's/\/alt//' | xargs ${ALTSHADOW} /alt 
	else
	  echo '/alt not mounted - shadowing aborted!'
	  exit 1
	fi
	;;

stop)
	;;

*)
	;;
esac
